function [F X status] = readoff(filename)
%UNTITLED Summary of this function goes here
%   Detailed explanation goes here
    fid = fopen(filename);
    status = 0;
    if fid == -1
        disp('ERROR: could not open file');
        F = []; X = []; status = 1;
        return;
    end
    line = fgetl(fid);%scan the first line, it should be "off"
    if(line~='OFF')
        disp('ERROR: could not open file');
        F = []; X = []; status = 1;
        return;
    end
    line = fgetl(fid);%scan the second line, it contains vertex number and surface number
    num=sscanf(line,'%d %d %d');
    vnum=num(1);
    fnum=num(2);
    i=1;
    while(i<=vnum)
        line = fgetl(fid);
        if isempty(line)
            continue;
        end
        X(i, :) = sscanf(line, '%f %f %f');%get vertex coordinate
        i=i+1;
    end
    i=1;
    while(i<=fnum)
        line = fgetl(fid);
        if isempty(line)
            continue;
        end
        line=line(3:length(line));
        F(i, :)= sscanf(line, '%d %d %d');%get vertex index in each surface
        F(i, :)=F(i,:)+1;%notice that the off file start the vertex index from 0 \
                         %while smf file start the vertex index from 1
        i=i+1;
    end
    fclose(fid);
end

